Search inside a YouTube channel
Search one YouTube channel's videos, Shorts, live streams and playlists by keyword (for all of YouTube, use youtube.search.list).
Headers
Get your API keyAPI key (`sfk_...`)
YouTube channel handle to search inside, with or without a leading @.
Text to search for in the channel's uploads.
min 1 chars · max 512 chars
Opaque pagination cursor returned by a previous response.
min 1 chars
Endpoint-specific response payload.
Channel handle searched, without a leading @.
Search text evaluated for this response.
Matching videos from the channel.
YouTube content identifier.
min 1 chars
Normalized media kind for this row.
one of: video, short, live
Canonical public URL for this item when available.
Title shown for this item.
Thumbnail image URL when available.
Channel metadata when available.
Channel identifier when available.
Channel title when available.
Channel handle when available.
Channel thumbnail URL when available.
View count when available.
≥ 0
Human-readable view count label when available.
ISO-8601 publish timestamp when available. May be null for some live items.
Human-readable relative publish time when available.
Duration in seconds when available.
≥ 0
Human-readable duration label when available.
Display badges such as New, Live, or 4K when present.
Description text when extras are requested and available.
Like count when extras are requested and available.
≥ 0
Human-readable like count when extras are requested.
Comment count when extras are requested and available.
≥ 0
Human-readable comment count when extras are requested.
Matching Shorts from the channel.
YouTube content identifier.
min 1 chars
Normalized media kind for this row.
one of: video, short, live
Canonical public URL for this item when available.
Title shown for this item.
Thumbnail image URL when available.
Channel metadata when available.
Channel identifier when available.
Channel title when available.
Channel handle when available.
Channel thumbnail URL when available.
View count when available.
≥ 0
Human-readable view count label when available.
ISO-8601 publish timestamp when available. May be null for some live items.
Human-readable relative publish time when available.
Duration in seconds when available.
≥ 0
Human-readable duration label when available.
Display badges such as New, Live, or 4K when present.
Description text when extras are requested and available.
Like count when extras are requested and available.
≥ 0
Human-readable like count when extras are requested.
Comment count when extras are requested and available.
≥ 0
Human-readable comment count when extras are requested.
Matching live streams and past streams from the channel.
YouTube content identifier.
min 1 chars
Normalized media kind for this row.
one of: video, short, live
Canonical public URL for this item when available.
Title shown for this item.
Thumbnail image URL when available.
Channel metadata when available.
Channel identifier when available.
Channel title when available.
Channel handle when available.
Channel thumbnail URL when available.
View count when available.
≥ 0
Human-readable view count label when available.
ISO-8601 publish timestamp when available. May be null for some live items.
Human-readable relative publish time when available.
Duration in seconds when available.
≥ 0
Human-readable duration label when available.
Display badges such as New, Live, or 4K when present.
Description text when extras are requested and available.
Like count when extras are requested and available.
≥ 0
Human-readable like count when extras are requested.
Comment count when extras are requested and available.
≥ 0
Human-readable comment count when extras are requested.
Matching playlists from the channel.
YouTube playlist identifier.
min 1 chars
Playlist title.
Canonical playlist URL when available.
Playlist thumbnail URL when available.
Number of videos in the playlist when available.
≥ 0
Representative video id shown for the playlist when available.
Representative video URL when available.
Playlist owner channel when available.
Playlist owner channel id when available.
Playlist owner channel title.
Playlist owner handle when available.
Playlist owner channel URL when available.
Number of results in this page across all lists.
≥ 0
Pagination information for the current response.
Cursor to pass in the next request when another page exists.
Whether another page of results is available.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/youtube/channels/search?handle=charlidamelio&query=lamborghini" \
-H "x-api-key: YOUR_API_KEY"Responses
Matching content from the channel.